module CukeParser
	module CukeModel
	  class CukeFeature
	  	#this will store all of our features
	  	attr_reader :keyword, :name, :duration, :converted_duration, :scenarios, :status
	  	attr_writer :duration, :converted_duration, :scenarios, :status
	  	def initialize(keyword, name)
	  		@keyword = keyword
	  		@name = name
	  		@duration = 0
	  		@converted_duration = 0
	  		@scenarios = []
	  		@status = ""
	  	end
	  
	  	def to_csv
	  		#prints csv format
	  		"#@keyword,#@name,#@duration,#@converted_duration"
	  	end
	  
	  	def to_csv_pretty
	  		#prints pretty csv format
	  		"\t #@keyword,#@name,#@duration,#@converted_duration"
	  	end
	  
	  	def getFullName
	  		#returns keyword + name
	  		fullName = @keyword + " " + @name
	  		return fullName
	  	end
	  end
 	end
end