module CukeParser
	module CukeModel
	  class CukeStep
	  	#this will be where we track step information
	  	attr_reader :keyword, :name, :duration, :converted_duration, :status, :reason_for_failure, :failure_image
	  	attr_writer :duration, :converted_duration, :status, :reason_for_failure, :failure_image
	  	def initialize(keyword, name, duration, converted_duration, status, reason_for_failure, failure_image)
	  		@keyword = keyword
	  		@name = name
	  		@duration = duration
	  		@converted_duration = converted_duration
	  		@status = status
	  		@reason_for_failure = reason_for_failure
	  		@failure_image = failure_image
	  	end
	  
	  	def to_csv
	  		#prints csv format
	  		"#@keyword,#@name,#@duration,#@converted_duration,#@status"
	  	end
	  
	  	def to_csv_pretty
	  		#prints pretty csv format
	  		"\t\t\t #@keyword,#@name,#@duration,#@converted_duration,#@status"
	  	end
	  
	  	def getFullName
	  		#returns keyword + name
	  		fullName = @keyword + " " + @name
	  		return fullName
	  	end
	  end
 	end
end